Tools
cal_create_booking
Run the cal_create_booking tool. Returns a clean, normalized JSON shape. Bring your own key — connect cal first via POST /v1/connections.
POST
/
v1
/
cal_create_booking
cal_create_booking
curl --request POST \
--url https://api.fetchbean.com/v1/cal_create_booking \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"start": "<string>",
"attendee": {
"name": "<string>",
"email": "<string>",
"timeZone": "<string>",
"language": "<string>"
},
"eventTypeId": 123,
"username": "<string>",
"eventTypeSlug": "<string>"
}
'import requests
url = "https://api.fetchbean.com/v1/cal_create_booking"
payload = {
"start": "<string>",
"attendee": {
"name": "<string>",
"email": "<string>",
"timeZone": "<string>",
"language": "<string>"
},
"eventTypeId": 123,
"username": "<string>",
"eventTypeSlug": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
start: '<string>',
attendee: {
name: '<string>',
email: '<string>',
timeZone: '<string>',
language: '<string>'
},
eventTypeId: 123,
username: '<string>',
eventTypeSlug: '<string>'
})
};
fetch('https://api.fetchbean.com/v1/cal_create_booking', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"billable": true
}
}Was this page helpful?
⌘I
cal_create_booking

